mixin header(spec)
  - spec = spec || {}
  - spec.__class = spec.__class || ''
  
  .header__overlay.js-overlay
  header(class=spec.__class).header&attributes(attributes)
    .container
      .row.justify-content-end
        +hamburger({__class:'header__hamburger'})
        +menu({'__class': 'header__menu col-xl-9 col-12 '})
